curl --request GET \
--url https://api.arkhq.io/v1/tenants/{tenantId}/domains/{domainId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": 123,
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "example.com",
"verified": true,
"dnsRecords": {
"zone": "example.com",
"spf": {
"type": "TXT",
"name": "ark-xyz._domainkey",
"fullName": "ark-xyz._domainkey.example.com",
"value": "v=spf1 include:spf.arkhq.io ~all",
"status": "OK"
},
"dkim": {
"type": "TXT",
"name": "ark-xyz._domainkey",
"fullName": "ark-xyz._domainkey.example.com",
"value": "v=spf1 include:spf.arkhq.io ~all",
"status": "OK"
},
"returnPath": {
"type": "TXT",
"name": "ark-xyz._domainkey",
"fullName": "ark-xyz._domainkey.example.com",
"value": "v=spf1 include:spf.arkhq.io ~all",
"status": "OK"
}
},
"createdAt": "2024-01-10T08:00:00Z",
"verifiedAt": "2024-01-15T10:30:00Z",
"tenant_id": "cm6abc123def456",
"tenant_name": "Acme Corp"
},
"meta": {
"requestId": "req_V1StGXR8_Z5jdHi6"
}
}Get detailed information about a domain including DNS record status.
curl --request GET \
--url https://api.arkhq.io/v1/tenants/{tenantId}/domains/{domainId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"data": {
"id": 123,
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "example.com",
"verified": true,
"dnsRecords": {
"zone": "example.com",
"spf": {
"type": "TXT",
"name": "ark-xyz._domainkey",
"fullName": "ark-xyz._domainkey.example.com",
"value": "v=spf1 include:spf.arkhq.io ~all",
"status": "OK"
},
"dkim": {
"type": "TXT",
"name": "ark-xyz._domainkey",
"fullName": "ark-xyz._domainkey.example.com",
"value": "v=spf1 include:spf.arkhq.io ~all",
"status": "OK"
},
"returnPath": {
"type": "TXT",
"name": "ark-xyz._domainkey",
"fullName": "ark-xyz._domainkey.example.com",
"value": "v=spf1 include:spf.arkhq.io ~all",
"status": "OK"
}
},
"createdAt": "2024-01-10T08:00:00Z",
"verifiedAt": "2024-01-15T10:30:00Z",
"tenant_id": "cm6abc123def456",
"tenant_name": "Acme Corp"
},
"meta": {
"requestId": "req_V1StGXR8_Z5jdHi6"
}
}Use your API key from arkhq.io/org/credentials
Authorization: Bearer YOUR_API_KEY